curl --request PATCH \
--url https://api-prod.interactly.ai/workflows/v1/workflow-schedules/{schedule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduled_time": "2023-11-07T05:31:56Z",
"run_input": {
"dynamic_variables": {},
"runtime_variables": {},
"miscellaneous": {},
"command": "start",
"workflow_id": "5eb7cf5a86d9755df3a6c593",
"version_number": 0,
"run_by": "<string>",
"workflow_run_id": "5eb7cf5a86d9755df3a6c593",
"team_id": "<string>",
"start_node_logical_id": "<string>",
"initial_state": {},
"thread_to_node_inputs": {},
"welcome_message": "<string>"
},
"version": 123
}
'import requests
url = "https://api-prod.interactly.ai/workflows/v1/workflow-schedules/{schedule_id}"
payload = {
"scheduled_time": "2023-11-07T05:31:56Z",
"run_input": {
"dynamic_variables": {},
"runtime_variables": {},
"miscellaneous": {},
"command": "start",
"workflow_id": "5eb7cf5a86d9755df3a6c593",
"version_number": 0,
"run_by": "<string>",
"workflow_run_id": "5eb7cf5a86d9755df3a6c593",
"team_id": "<string>",
"start_node_logical_id": "<string>",
"initial_state": {},
"thread_to_node_inputs": {},
"welcome_message": "<string>"
},
"version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scheduled_time: '2023-11-07T05:31:56Z',
run_input: {
dynamic_variables: {},
runtime_variables: {},
miscellaneous: {},
command: 'start',
workflow_id: '5eb7cf5a86d9755df3a6c593',
version_number: 0,
run_by: '<string>',
workflow_run_id: '5eb7cf5a86d9755df3a6c593',
team_id: '<string>',
start_node_logical_id: '<string>',
initial_state: {},
thread_to_node_inputs: {},
welcome_message: '<string>'
},
version: 123
})
};
fetch('https://api-prod.interactly.ai/workflows/v1/workflow-schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflow_id": "5eb7cf5a86d9755df3a6c593",
"scheduled_time": "2023-11-07T05:31:56Z",
"team_id": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"status": "pending",
"run_input": {
"dynamic_variables": {},
"runtime_variables": {},
"miscellaneous": {},
"command": "start",
"workflow_id": "<string>",
"version_number": 0,
"run_by": "<string>",
"workflow_run_id": "<string>",
"team_id": "<string>",
"start_node_logical_id": "<string>",
"initial_state": {},
"thread_to_node_inputs": {},
"welcome_message": "<string>"
},
"version": 123,
"schedule_name": "<string>",
"scheduler_arn": "<string>",
"actual_run_id": "5eb7cf5a86d9755df3a6c593",
"scheduled_by_name": "<string>",
"error_message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update Workflow Schedule
Modify a pending scheduled run (time, inputs, or version).
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
24^[0-9a-f]{24}$"5eb7cf5a86d9755df3a6c593"
Body
Response
Successful Response
Stores scheduled workflow runs.
ID of the workflow to run
24^[0-9a-f]{24}$"5eb7cf5a86d9755df3a6c593"
The target time for the workflow execution (UTC)
ID of the team that owns this edge
ID of the user who created this edge
ID of the user who last updated this edge
MongoDB document ObjectID
24^[0-9a-f]{24}$"5eb7cf5a86d9755df3a6c593"
Current status of the schedule
pending, in_progress, completed, failed, cancelled Inputs and dynamic variables for the workflow run
Show child attributes
Show child attributes
Version of the workflow to run
AWS EventBridge Schedule name (used for deletion)
AWS EventBridge Scheduler ARN
Link to the actual WorkflowRunsModel ID once executed
24^[0-9a-f]{24}$"5eb7cf5a86d9755df3a6c593"
Display name of the user who created the schedule
Error message if the schedule failed to execute